> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hydric.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get token USD price

> Returns the current USD price of a token on a specific chain. If the zero address is provided, it returns the native token price (with wrapped native fallback).



## OpenAPI

````yaml https://api.hydric.org/v1/openapi.json get /v1/tokens/prices/{chainId}/{tokenAddress}/usd
openapi: 3.1.0
info:
  title: hydric Gateway API
  description: Access DeFi Liquidity easily. One plug. Every Protocol. Every Network.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.hydric.org
security:
  - bearerAuth: []
tags: []
paths:
  /v1/tokens/prices/{chainId}/{tokenAddress}/usd:
    get:
      tags:
        - Token Prices
      summary: Get token USD price
      description: >-
        Returns the current USD price of a token on a specific chain. If the
        zero address is provided, it returns the native token price (with
        wrapped native fallback).
      operationId: TokenPricesController_getTokenPrice
      parameters:
        - name: chainId
          required: true
          in: path
          description: The numeric ID of the blockchain where the token resides.
          schema:
            example: 1
            enum:
              - 1
              - 143
              - 130
              - 999
              - 8453
              - 9745
              - 534352
            type: number
        - name: tokenAddress
          required: true
          in: path
          description: The Token contract address.
          schema:
            example: '0x2260fac5e5542a773aa44fbcfedf7c193bc2c599'
            type: string
      responses:
        '200':
          description: The requested token USD price.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTokenPriceResponse'
        '404':
          description: The requested token was not found on the specified chain.
          content:
            application/json:
              example:
                statusCode: 404
                timestamp: '2026-02-28T19:40:59.635Z'
                path: >-
                  /tokens/prices/1/0x0000000000000000000000000000000000000001/usd
                traceId: doc_sample_trace_id
                error:
                  code: TOKEN_NOT_FOUND
                  title: Not Found
                  message: Couldn't find the specified token at the specified chain
                  details: >-
                    Token with address
                    '0x0000000000000000000000000000000000000001' at chain id '1'
                    not found
                  metadata:
                    tokenAddress: '0x0000000000000000000000000000000000000001'
                    chainId: 1
components:
  schemas:
    GetTokenPriceResponse:
      type: object
      properties:
        price:
          type: number
          description: The current price of the token.
          example: 2543.21
      description: Response object containing the current price of the requested token.
      required:
        - price
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        Use the docs sandbox API key for authentication:
        **hydric_docs_4N4ocuirsN8Sh**

````